# ‹› `` `markdown.extensions.meta`

This extension adds Meta Data handling to markdown.

See the documentation for details.

Classes:

- `MetaExtension` –

  Meta-Data extension for Python-Markdown.

- `MetaPreprocessor` –

  Get Meta-Data.

## ‹› `` `markdown.extensions.meta.MetaExtension(**kwargs)`

Bases: `Extension`

Meta-Data extension for Python-Markdown.

Methods:

- `extendMarkdown` –

  Register the processor.

### ‹› `` `markdown.extensions.meta.MetaExtension.extendMarkdown(md)`

Register the processor.

Class Instance | Registry | Name | Priority
--- | --- | --- | ---
`MetaPreprocessor` | `preprocessors` | `meta` | `27`

## ‹› `` `markdown.extensions.meta.MetaPreprocessor(md: Markdown | None = None)`

Bases: `Preprocessor`

Get Meta-Data.

Methods:

- `run` –

  Parse Meta-Data and store in Markdown.Meta.

### ‹› `` `markdown.extensions.meta.MetaPreprocessor.run(lines: list[str]) -> list[str]`

Parse Meta-Data and store in Markdown.Meta.